package oop4_dat4_ss;

import java.awt.Color;

/**
 *
 * @author Felix Rohrer <felix.rohrer@stud.hslu.ch>
 */
public class Balloon
{
    private String text;
    private int size;
    private Color color;

    public Balloon(String t, int c)
    {
        text = t;
        size = 0;
        color = new Color(c);
    }

    public void blowUp()
    {
        size = size + 5;
    }

    public void deflate()
    {
        size = 0;
    }

    public boolean equals(Object other) // gleicher Text, dann gleiche Ballone
    {
        if (this == other) // 1. Test auf Identität
        {
            return true;
        }
        if (other == null) // 2. Test auf null
        {
            return false;
        }
        if (other.getClass() != this.getClass())// 3. Test auf Vergleichbarkeit
        {
            return false;
        }
        if ( ! text.equals(((Balloon) other).text))// 4. Vergleich relev. Felder
        {
            return false;
        }
        if ( ! color.equals(((Balloon) other).color)) {
            return false;
        }
        return true;
    }

    public int hashCode()
    {
        int hashCode;
        hashCode = text.hashCode();
        hashCode += color.hashCode();
        return hashCode;
    }

    public String toString()
    {
        return text + " " + color.toString();
    }
}
